# Sources from github
# git://github.com/valentinbasel/icaro-bloques.git
# cd icaro-bloques
# git archive --format=tar --prefix=icaro-bloques-1.0/ master | xz > ../icaro-bloques-1.0.tar.xz

Name:           icaro-bloques
Version:        1.0
Release:        2%{?dist}
Summary:        A front-end for Icaro, a robotic educational project

License:        GPLv3
URL:            http://roboticaro.org/
Source0:        %{name}-%{version}.tar.xz
Source1:	%{name}.desktop
Patch1:		icaro-bloques-fix_indent_error.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:	desktop-file-utils
Requires:       pygame
Requires:	pywebkitgtk
Requires:	pygtksourceview
Requires:	sdcc
Requires:	gputils
Requires:	pyusb
Requires:	python-tools
Requires:	sugar-turtleart
Requires:	pyserial

%description
Icaro-bloques is a front-end for the Icaro Project, an educational robotic
software aimed to develop robotic and programming fundamentals.

%prep

%setup -q
%patch1 -p1


%build
# Nothing to build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}/
cp -p -a {funcion,lib,lkr,obj,source,tmp,tortucaro,include,componente,imagenes,locale} %{buildroot}%{_datadir}/%{name}/
install -p -m 0644 {*.py,*.xml,*.dat,version} %{buildroot}%{_datadir}/%{name}/

(cd %{buildroot} && find . -name '*.mo') | sed -e 's|^.||' |
sed -e \
   's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
      >> icaro-bloques.lang


#Libs
mkdir -p %{buildroot}%{_datadir}/%{name}/sdcc-include/
install -p -D -m 0644 sdcc-include/* %{buildroot}%{_datadir}/%{name}/sdcc-include/
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d/
cp -p -a udev/* %{buildroot}%{_sysconfdir}/udev/rules.d/

install -d %{buildroot}%{_bindir}
#create executable of program
cat > icaro-bloques <<EOF
#! /bin/bash
python /usr/share/icaro-bloques/main.py
EOF
install -m 755 icaro-bloques %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -p -D -m 0644 imagenes/icaro.png  %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/

#create desktop file
desktop-file-install \
        --dir %{buildroot}%{_datadir}/applications \
        %{SOURCE1}
%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi
      
%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :



%files -f icaro-bloques.lang
%doc README INSTALL COPYING AUTHORS
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/icaro.png
%config %{_sysconfdir}/udev/rules.d/26-microchip.rules
%config %{_sysconfdir}/udev/rules.d/41-microchip.rules

%changelog
* Wed Dec 12 2012 Eduardo Echeverria <echevemaster@gmail.com> - 1.0-2
- Various Changes to spec

* Thu Sep 28 2012 Yader Velasquez <yaderv@fedoraproject.org> - 1.0-1
- Primer borrador de spec
